﻿/*
    Program ukazující použití události.
*/

using System;
using System.Timers;

namespace TimerEvent
{
    class Program
    {
        static void Main(string[] args)
        {
            Timer time = new Timer(1000);

            time.Elapsed += OnTimedEvent;

            Console.WriteLine("Pro ukončení programu stiskněte klávesu ENTER");
            Console.WriteLine();

            time.Start();

            Console.ReadKey();

            time.Stop();
        }

        private static void OnTimedEvent(object source, ElapsedEventArgs e)
        {
            Console.WriteLine("Událost časovače nastala v čase " + e.SignalTime);
        }
    }
}

