/*
    Program ukazujci pouziti udalosti a jeji obsluhu. 
*/

using System;
using System.Windows.Forms;
using System.Drawing;

namespace WinApplication
{
    class MainWindow : Form
    {
        public MainWindow()
        {
            Text = "Udlosti demo";
            Width = 400;
            Height = 400;
            FormBorderStyle = FormBorderStyle.Sizable;
            BackColor = SystemColors.Window;
            MouseDown += MainWindow_MouseDown;

            Button btnClose = new Button();

            btnClose.Text = "Konec";
            btnClose.Left = 150;
            btnClose.Top = 320;
            btnClose.Width = 100;
            btnClose.Height = 30;
            btnClose.Anchor = AnchorStyles.Bottom;
            btnClose.BackColor = SystemColors.ButtonFace;
            btnClose.Click += btnClose_Click;

            Controls.Add(btnClose);
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void MainWindow_MouseDown(object sender, MouseEventArgs e)
        {
            MessageBox.Show("Tlatko stisknuto na souadnicch [" +
                e.X + ", " + e.Y + "]", "Souadnice",
                MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            MainWindow mainWindow = new MainWindow();

            Application.Run(mainWindow);
        }
    }
}

